Package org.eclipse.ecf.provider.filetransfer.events.socket

# Class SocketEventCreateUtil

java.lang.Object
org.eclipse.ecf.provider.filetransfer.events.socket.SocketEventCreateUtil

public class SocketEventCreateUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`SocketEventCreateUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Socket`
`createSocket(ISocketListener spyListener, ISocketEventSource socketEventSource, INonconnectedSocketFactory unconnectedFactory, InetSocketAddress remoteInetAddress, InetSocketAddress localInetAddress, int timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketEventCreateUtil

public SocketEventCreateUtil()

## Method Details

### createSocket

public static Socket createSocket(ISocketListener spyListener, ISocketEventSource socketEventSource, INonconnectedSocketFactory unconnectedFactory, InetSocketAddress remoteInetAddress, InetSocketAddress localInetAddress, int timeout) throws IOException

Throws:
  `IOException`